Zum Inhalt springen

Die rechtlichen Annahmen des Mitglieds und was noch aussteht

GET
/v1/me/acceptances
curl --request GET \
--url 'https://api.vimine.network/v1/me/acceptances?locale=it' \
--header 'Authorization: Bearer <token>'

Jede Annahme, Kenntnisnahme oder Einwilligung, die die Person erfasst hat (Nutzungsbedingungen des Kontos, Datenschutzerklärungen, die Datenschutzhinweise des Vereins für seine Mitglieder), die neueste zuerst, dazu pending: die Dokumente der Kontoebene und die Datenschutzhinweise dieses Vereins, auf die die Person in ihrer geltenden Version noch nicht reagiert hat. Vollständige Texte: GET /v1/legal/{kind} und GET /v1/aps/{slug}/privacy-notice.

locale
string
Erlaubte Werte: it en zh-Hans zh-Hant fr es de pt-BR

Annahmen und ausstehende Dokumente

Medientypapplication/json
object
items
erforderlich
Array<object>
object
at
erforderlich
string Format: date-time
action
erforderlich
string
Erlaubte Werte: accepted acknowledged consented withdrawn declared
channel
string
Erlaubte Werte: ui public api job paper
kind
erforderlich
string
title
string
version
erforderlich
string
sha256
string
nullable
rendered_sha256

Hash des tatsächlich gezeigten Texts

string
nullable
locale
string
nullable
association

Der Verein, den der Vorgang betrifft, falls es einen gibt

string
nullable
pending
erforderlich
object
platform

Dokumente der Kontoebene, die noch zu akzeptieren / zur Kenntnis zu nehmen sind

Array<object>
object
kind
erforderlich
string
title
string
locale
string
version
erforderlich
Genau eines von:
string
sha256
string
nullable
effective_from
string Format: date-time
nullable
action
erforderlich

Was die Person tun soll

string
Erlaubte Werte: accepted acknowledged consented
first

Die Person hat noch auf keine Version dieser Art reagiert (false: Eine neue Version verlangt es erneut)

boolean
privacy_notice
Genau eines von:
object
kind
erforderlich
string
title
string
locale
string
version
erforderlich
Genau eines von:
string
sha256
string
nullable
effective_from
string Format: date-time
nullable
action
erforderlich

Was die Person tun soll

string
Erlaubte Werte: accepted acknowledged consented
first

Die Person hat noch auf keine Version dieser Art reagiert (false: Eine neue Version verlangt es erneut)

boolean
Beispiel
{
"items": [
{
"action": "accepted",
"channel": "ui"
}
],
"pending": {
"platform": [
{
"action": "accepted"
}
],
"privacy_notice": {
"action": "accepted"
}
}
}

Ungültige Anfrage

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Fehlende oder ungültige Zugangsdaten

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Nicht erlaubt

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Nicht gefunden

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Ratenlimit überschritten

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Interner Fehler

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}